#!/usr/bin/env python
# -*- coding: utf-8 -*-
##################################################################
#
# Copyright (c) 2023 CICV, Inc. All Rights Reserved
#
##################################################################
"""
@Authors:           yangzihao(yangzihao@china-icv.cn)
@Data:              2023/12/11
@Last Modified:     2023/12/11
@Summary:           This module provides the function to parse the signal json mapping file.
"""

# import json
# from common import json2dict
# signal_json = r'./signal.json'
# signal_dict = json2dict(signal_json)


def signal_name_map(df, signal_dict, csv_name):
    new_column_map = signal_dict[csv_name]
    df.rename(columns=new_column_map, inplace='True')
    return df


def object_state_signal_mapping(df, signal_dict):
    new_column_map = signal_dict['objectState']
    df.rename(columns=new_column_map, inplace='True')
    return df

def road_mark_signal_mapping(df, signal_dict):
    new_column_map = signal_dict['roadMark']
    df.rename(columns=new_column_map, inplace='True')
    return df


